Bug 38528 - kernel-source-2.4.2-2.i386.rpm: unpacking of archive fails
kernel-source-2.4.2-2.i386.rpm: unpacking of archive fails
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-30 23:51 EDT by Steve Wray
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-21 06:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Wray 2001-04-30 23:51:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

"failed on file /usr/src/linux-2.4.2/fs/sysv/inode.c: cpio: MD5 sum 

Reproducible: Always
Steps to Reproduce:
1.download the kernel-source rpm
2.run rpm -ih
3.see the pretty error message

Actual Results:  the package failed to install. Does that warrant a "duh"?

Expected Results:  I'd normally expect a genuine redhat package to 
actually install...
without errors about the internal structure of the package.

Wow, how on earth did this one get past you guys????

I also note that there is no specific entry in bugzilla for the kernel-
source package.
Were you *that* confident of it?
Comment 1 Arjan van de Ven 2001-05-01 04:00:41 EDT
There is no "kernel-source" bugzilla entry as it is generated by the "kernel"
.spec file, just as kernel-headers and some others.

I've done the rpm -i of the kernel source SEVERAL times in the last weeks
without problems. does the md5 sum of your file match
Comment 2 Steve Wray 2001-05-01 04:12:16 EDT
Nope. I get:

I got this from the iso image at mirror.aarnet.edu.au
I also d/l'd one with rpmfind and it turned out the same.
So its not a fault with the cd burning... I mounted the image as loop too and 
got the same result.
Comment 3 Arjan van de Ven 2001-05-01 04:17:31 EDT
/me boggles
The kernel-source rpm I got from a mirror really has the md5 sum I pasted.

The sunsite mirror of Red Hat Linux supports rsync. Could you try rsyncing
the file from there and see if the file changes?
(if it doesn't it's not an intrusive download due to rsync)
Comment 4 Steve Wray 2001-05-01 04:25:22 EDT
Ok, maybe mirror.aarnet.edu.au somehow got a bad iso image.

Can you contact anyone else who d/l'd that image to verify this?
Comment 5 Arjan van de Ven 2001-05-01 04:27:29 EDT
I'll d/l it myself and check.

Note You need to log in before you can comment on or make changes to this bug.